Skip to content
Start here

Get a Job Details

client.AISearch.Instances.Jobs.Get(ctx, id, jobID, query) (*InstanceJobGetResponse, error)
GET/accounts/{account_id}/ai-search/instances/{id}/jobs/{job_id}

Retrieves details for a specific AI Search indexing job.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
id string

AI Search instance ID. Lowercase alphanumeric, hyphens, and underscores.

maxLength64
minLength1
jobID string
query InstanceJobGetParams
AccountID param.Field[string]
ReturnsExpand Collapse
type InstanceJobGetResponse struct{…}
ID string
Source InstanceJobGetResponseSource
One of the following:
const InstanceJobGetResponseSourceUser InstanceJobGetResponseSource = "user"
const InstanceJobGetResponseSourceSchedule InstanceJobGetResponseSource = "schedule"
Description stringoptional
EndReason stringoptional
EndedAt stringoptional
LastSeenAt stringoptional
StartedAt stringoptional

Get a Job Details

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/ai_search"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  job, err := client.AISearch.Instances.Jobs.Get(
    context.TODO(),
    "my-ai-search",
    "job_id",
    ai_search.InstanceJobGetParams{
      AccountID: cloudflare.F("c3dc5f0b34a14ff8e1b3ec04895e1b22"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", job.ID)
}
{
  "result": {
    "id": "id",
    "source": "user",
    "description": "description",
    "end_reason": "end_reason",
    "ended_at": "ended_at",
    "last_seen_at": "last_seen_at",
    "started_at": "started_at"
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "id",
    "source": "user",
    "description": "description",
    "end_reason": "end_reason",
    "ended_at": "ended_at",
    "last_seen_at": "last_seen_at",
    "started_at": "started_at"
  },
  "success": true
}